# Uses of Class
org.apache.avro.SchemaBuilder.MapBuilder

Packages that use SchemaBuilder.MapBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.MapBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.MapBuilder
Modifier and Type
Method
Description
`final SchemaBuilder.MapBuilder<SchemaBuilder.MapDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`map()`
Build an Avro map type
`final SchemaBuilder.MapBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`map()`
Build an Avro map type Example usage:
`static SchemaBuilder.MapBuilder<Schema>`
SchemaBuilder.`map()`
Create a builder for an Avro map This is equivalent to:
`SchemaBuilder.MapBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.MapDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`map()`
Build an Avro map type
`protected SchemaBuilder.MapBuilder<R>`
SchemaBuilder.MapBuilder.`self()`